IRPCObjectOperations.DetectTextLanguage

View as Markdown

Vault API / core write session or assertion returns metadata structure version

Detects the language of a plain text.

ServiceObjects, versions, properties and files MFiles.IRPCObjectOperations
gRPC method/MFiles.IRPCObjectOperations/DetectTextLanguage
HTTP (mf-http-grpc)POST /grpc/v1/detect-text-language
RequestDetectTextLanguageRequest
ResponseDetectTextLanguageResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: DetectTextLanguageRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
text_contentstringThe plain text input.

Response: DetectTextLanguageResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
language_detection_resultLanguageDetectionResultStructure containing the language and detection confidence.
language_detection_result.languagestringThe detected language specified by ISO 639-1 Language Code.
language_detection_result.confidenceuint32The confidence of the detected language which represents a percentage.